## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanXPathException Class Reference

Inheritance diagram for XalanXPathException:

[legend]
Collaboration diagram for XalanXPathException:

[legend]
List of all members.

## Public Member Functions

- XalanXPathException (const XalanDOMString &message, const XalanDOMString &theURI, int theLineNumber, int theColumnNumber, MemoryManagerType &theManager)
    Construct an XPath exeption object.
- XalanXPathException (const LocatorType &theLocator, const XalanDOMString &theMessage, MemoryManagerType &theManager)
    Constructor.
- XalanXPathException (const XalanDOMString &message, MemoryManagerType &theManager)
    Construct an XPath exeption object.
- XalanXPathException (const XalanXPathException &other)
- virtual ~XalanXPathException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Protected Member Functions

- XalanXPathException (MemoryManagerType &theManager)
    Construct an XPath exeption object.

## Constructor & Destructor Documentation

XalanXPathException::XalanXPathException | ( | const XalanDOMString & | message,
|  | const XalanDOMString & | theURI,
|  | int | theLineNumber,
|  | int | theColumnNumber,
|  | MemoryManagerType & | theManager
| ) |

  | Construct an XPath exeption object. Parameters:
  message | message explaining the problem.
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document.
  theColumnNumber | the column number of the related document.
  styleNode | the node in the stylesheet where the problem occurred
  theType | type of exception, default is "XalanXPathException"

XalanXPathException::XalanXPathException | ( | const LocatorType & | theLocator,
|  | const XalanDOMString & | theMessage,
|  | MemoryManagerType & | theManager
| ) |

  | Constructor. Parameters:
  theLocator | The locator instance for error reporting.
  theMessage | message to write when exception thrown
  styleNode | the node in the stylesheet where the problem occurred
  theType | type of exception, default is "XalanXPathException"

XalanXPathException::XalanXPathException | ( | const XalanDOMString & | message,
|  | MemoryManagerType & | theManager
| ) |

  | Construct an XPath exeption object. Parameters:
  message | message explaining the problem.
  theType | type of exception, default is "XalanXPathException"

XalanXPathException::XalanXPathException | ( | const XalanXPathException & | other | ) |

virtual XalanXPathException::~XalanXPathException | ( |  | ) | `[virtual]`

XalanXPathException::XalanXPathException | ( | MemoryManagerType & | theManager | ) | `[explicit, protected]`

| Construct an XPath exeption object.

## Member Function Documentation

virtual const XalanDOMChar* XalanXPathException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Implements XSLException. Reimplemented in XObject::XObjectException, XObject::XObjectInvalidConversionException, and XPathParserException.

The documentation for this class was generated from the following file:

- XalanXPathException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.